Package net.sf.saxon.expr.sort

## Interface AtomicMatchKey

- All Known Implementing Classes:
    `Base64BinaryValue`, `BigDecimalValue`, `BigIntegerValue`, `BMPString`, `BooleanValue`, `CalendarValue`, `CollationMatchKey`, `DateTimeValue`, `DateValue`, `DayTimeDurationValue`, `DecimalValue`, `DoubleValue`, `DurationValue`, `EmptyString`, `FloatValue`, `GDateValue`, `GDayValue`, `GeneralUnicodeString`, `GMonthDayValue`, `GMonthValue`, `GYearMonthValue`, `GYearValue`, `HexBinaryValue`, `Int64Value`, `IntegerValue`, `LatinString`, `NestedIntegerValue`, `NotationValue`, `NumericValue`, `QNameValue`, `QualifiedNameValue`, `TimeValue`, `UnicodeString`, `YearMonthDurationValue`

      public interface AtomicMatchKey

  Marker interface to identify an object that acts as a surrogate for an atomic value, with the property that if two atomic values are equal under the XPath 'eq' operator, then their corresponding surrogates are equal under the Java equals() comparison (and by implication, they have equal hash codes).

  In general this is used only for equality comparison. Match keys representing atomic values of an ordered type, however, must also implement Comparable, and their compareTo() method must reflect the ordering semantics. In the case of strings this means the keys must reflect the semantics of the relevant collation.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AtomicMatchKey` | `NaN_MATCH_KEY` | A match key for use in situations where NaN = NaN

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AtomicValue` | `asAtomic()` | Get an atomic value that encapsulates this match key.

- - ### Field Detail

    - #### NaN_MATCH_KEY

          static final AtomicMatchKey NaN_MATCH_KEY

      A match key for use in situations where NaN = NaN

  - ### Method Detail

    - #### asAtomic

          AtomicValue asAtomic()

      Get an atomic value that encapsulates this match key. Needed to support the collation-key() function.
      Returns:
        an atomic value that encapsulates this match key